<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HackingFormulas](./bitburner.hackingformulas.md) &gt; [growTime](./bitburner.hackingformulas.growtime.md)

## HackingFormulas.growTime() method

Calculate grow time.

**Signature:**

```typescript
growTime(server: Server, player: Person): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  server | [Server](./bitburner.server.md) | Server info, typically from [getServer](./bitburner.ns.getserver.md) |
|  player | [Person](./bitburner.person.md) | Player info, typically from [getPlayer](./bitburner.ns.getplayer.md) |

**Returns:**

number

The calculated grow time, in milliseconds.

